## rsakeyfind 1.0

=== Makefile ===
CXXFLAGS= -Wall -O4
OBJS=rsakeyfind.o

all: rsakeyfind

rsakeyfind: $(OBJS)
	$(CXX) -o rsakeyfind $(OBJS)

clean:
	@rm -f rsakeyfind *~ \#* $(OBJS)

=== debian/changelog ===
rsakeyfind (1:1.0-8) unstable; urgency=medium

  * Team Upload
  * Add autopkgtests

 -- Jan Gru <j4n6ru@gmail.com>  Fri, 11 Jun 2021 00:00:00 +0000

rsakeyfind (1:1.0-7) unstable; urgency=medium

  * Re-import upstream tarball, this time with its signature
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add d/gbp.conf

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 21:27:57 +0000

rsakeyfind (1:1.0-6) unstable; urgency=medium

  * Bump DH level to 12
  * Add salsa-ci.yml
  * Change my email address to the debian one
  * Update Standards-Version to 4.4.1
  * Update d/copyright and upstream url
  * d/control: Add Rules-Requires-Root: no
  * d/upstream/signing-key.asc: Remove signatures of key

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Nov 2019 21:31:25 +0000

rsakeyfind (1:1.0-5) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ Samuel Henrique ]
  * d/control:
    - Update uploader info.
  * d/copyright:
    - Update copyright info.

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 03 Sep 2018 14:14:03 +0800

rsakeyfind (1:1.0-4) unstable; urgency=medium

  * Team upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Removed a MIA uploader (solves a special case pointed by QA team).
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - add-GCC-hardening: renamed to 10_fix-includes.patch.
      - fix-includes: renamed to 20_add-GCC-hardening.patch.
  * debian/watch:
      - Bumped to version 4.
      - Removed an extra source to avoid conflicts with uscan and updated
        the current rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Jan 2017 23:08:26 -0200

rsakeyfind (1:1.0-3) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU. Thanks to Salvatore Bonaccorso <carnil@debian.org>.
      (Closes: #667360)
  * Migrations:
      - debian/copyright to 1.0 format.
      - DH level to 9.
  * New upstream homepage.
  * debian/control:
      - Added the 'forensics' word in long description.
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information.
  * debian/patches/:
      - Added add-GCC-hardening to fix the upstream Makefile.
      - 001_include.diff: renamed to fix-includes.
      - 002_gcc_4.7.diff: removed. The content was added to fix-includes.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve the GCC
      hardening.
  * debian/watch:
      - Added a check for GPG signature.
      - Updated the rule to search for files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 27 Jun 2015 16:40:58 -0300

rsakeyfind (1:1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add 002_gcc_4.7.diff patch to fix FTBFS with gcc 4.7.
    Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667360)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 15 May 2012 20:47:52 +0200

rsakeyfind (1:1.0-2) unstable; urgency=low

  * Team upload.
  * Switch section to utils as per the override
  * Fix VCS-* fields

 -- Julien Valroff <julien@debian.org>  Sat, 23 Jul 2011 10:10:00 +0200

rsakeyfind (1:1.0-1) unstable; urgency=low

  * Team upload.

  [ Daniel Baumann ]
  * Minimizing rules file.

  [ Jacob Appelbaum ]
  * Fix incorrect program description in control file (Closes: #541279).

  [ Julien Valroff ]
  * Fix maintainer address (Closes: #624464)
  * Bump debhelper compat to 8
  * Bump standards version to 3.9.2 (no changes needed)
  * Switch to 3.0 (quilt) source package format
  * Add patch and add install file to avoid direct modifications of upstream
    sources
  * Fix version number (add an epoch to ensure the new version number is
    higher than the previously uploaded package)
  * Add watch file
  * Update copyright file as per current DEP-5

 -- Julien Valroff <julien@debian.org>  Sat, 23 Jul 2011 08:48:46 +0200

rsakeyfind (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #495418)
  * Adjusted the Makefile to add $DESTDIR
  * Added a man page.

 -- Jacob Appelbaum <jacob@appelbaum.net>  Thu, 25 Jun 2009 12:44:00 -0300

=== debian/control ===
Source: rsakeyfind
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://citp.princeton.edu/our-work/memory/code/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/rsakeyfind
Vcs-Git: https://salsa.debian.org/pkg-security-team/rsakeyfind.git

Package: rsakeyfind
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: locates BER-encoded RSA private keys in memory images
 rsakeyfind is a tool that locates BER-encoded RSA private keys in MEMORY-IMAGE.
 If a MODULUS-FILE is specified, it will locate private and public keys matching
 the hex-encoded modulus read from this file.
 .
 This package is useful to several activities, as forensics investigations.

=== debian/tests/control ===
Tests: smoke, recover-rsa-256, recover-rsa-2048
Depends: rsakeyfind, procps, gdb, python3-pycryptodome
Restrictions: allow-stderr, needs-root
